# Credit a FinancialAddress object Simulate crediting a FinancialAddress in a Sandbox environment. This can be used to add virtual funds and increase your balance for testing. ## Parameters - `amount` (object, required) Object containing the amount value and currency to credit. - `amount.currency` (string, required) A lowercase alpha3 currency code like “usd”. - `amount.value` (integer, required) In minor units like 123 for 1.23 USD. - `id` (string, required) The ID of the FinancialAddress to credit. - `network` (enum, required) The network to use in simulating the funds flow. This will be the reflected in the resulting ReceivedCredit. Possible enum values: - `ach` US - The Automated Clearing House (ACH) money movement. - `fps` UK - Faster Payments System (FPS) money movement. - `rtp` US - Real-Time Payments (RTP) money movement. - `wire` A wire transfer money movement. - `statement_descriptor` (string, optional) String explaining funds flow. Use this field to populate the statement descriptor of the ReceivedCredit created as an eventual result of this simulation. ## Returns ## Response attributes - `object` (string, value is "financial_address_credit_simulation") String representing the object’s type. Objects of the same type share the same value of the object field. - `livemode` (boolean) Has the value `true` if the object exists in live mode or the value `false` if the object exists in test mode. - `status` (string) The status of the request, signifying whether a simulated credit was initiated. ## Error Codes | HTTP status code | Code | Description | | ---------------- | ---------------------------- | --------------------------------------------------------------- | | 400 | storer_capability_missing | The required storer capabilities are missing. | | 400 | storer_capability_not_active | The required storer capabilities are not active. | | 400 | unsupported_currency | The currency is not supported for Financial Accounts. | | 404 | not_found | The resource wasn’t found. | | 409 | idempotency_error | An idempotent retry occurred with different request parameters. | ```curl curl -X POST https://api.stripe.com/v2/test_helpers/financial_addresses/finaddr_test_61O6nHqDsFuMtECYR16O0lef0dSQgZ0EhGyZsQCXQMls/credit \ -H "Authorization: Bearer <>" \ -H "Stripe-Version: 2025-11-17.preview" \ --json '{ "amount": { "value": 2500, "currency": "usd" }, "network": "ach" }' ``` ### Response ```json { "object": "financial_address_credit_simulation", "status": "accepted", "livemode": true } ```